Get list of "N" versions
API recipe: list a page of artifact versions for a given versioning key.
Your Control Plane URL will vary
The Control Plane URL, denoted as YOUR_CP_URL for this API reference document is https://facetsdemo.console.facets.cloud.
Replace that with the Control Plane URL unique to your account.
API Endpoint
This API processes a GET request to get a list of specified number of version details for any versioned resource based on the provided versioningKey.
https://{YOUR_CP_URL}/cc-ui/v1/versions/{versioningKey}- This API endpoint has one path parameter,
versioningKey. - There are also two query parameters,
pageandperPage.
Path parameters
versioningKeyof typeString, is a unique value for any given set of environment, resource name and resource type.
Query parameters
pageof typeIntegerwith the default value 0.perPageof typeIntegerwith the default value 5.
page specifies the number of pages to fetch. Note that this value should be “0” to fetch the latest artifacts.
perPage specifies the number of artifacts to fetch. Note that the default value is "5".
Authenticate your API request
To learn more about how to generate a basic authentication token for use with Facets API requests, check Authentication Setup.
Facets API uses Basic Authentication.